#ifndef MN2CTRL_H_
#define MN2CTRL_H_

#define VERSION_MAJOR   0
#define VERSION_MINOR   0
#define VERSION_RELEASE 2

#define MEDIA2_CMD_FIRST            0x01

#define MEDIA2_CMD_RESET            0x01

#define MEDIA2_CMD_MAJOR_VERSION    0x02
#define MEDIA2_CMD_MINOR_VERSION    0x03
#define MEDIA2_CMD_RELEASE          0x04

#define MEDIA2_CMD_DISPLAY_MODE     0x05
#define MEDIA2_CMD_DISPLAY_STATUS   0x06
#define MEDIA2_CMD_DISPLAY_CLEAR    0x07
#define MEDIA2_CMD_DISPLAY_POS      0x08
#define MEDIA2_CMD_DISPLAY_WRITE    0x09
#define MEDIA2_CMD_DISPLAY_READ     0x0A
#define MEDIA2_CMD_DISPLAY_ATTRIB   0x0B
#define MEDIA2_CMD_DISPLAY_SCROLL   0x0C
#define MEDIA2_CMD_DISPLAY_COMMAND  0x0D

#define MEDIA2_CMD_KBD_CODE         0x0E

#define MEDIA2_CMD_LAST             0x0E

#define LCD_MODE_NONE   0x00
#define LCD_MODE_1X8    0x01
#define LCD_MODE_1X16   0x02
#define LCD_MODE_1X20   0x03
#define LCD_MODE_2X8    0x04
#define LCD_MODE_2X16   0x05
#define LCD_MODE_2X20   0x06
#define LCD_MODE_2X40   0x07
#define LCD_MODE_4X16   0x08
#define LCD_MODE_4X20   0x09

#define DISPLAY_SCROLL_SPEED_SLOWEST    0x00
#define DISPLAY_SCROLL_SPEED_SLOW       0x01
#define DISPLAY_SCROLL_SPEED_FAST       0x02
#define DISPLAY_SCROLL_SPEED_FASTEST    0x03

#define DISPLAY_ATTRIB_NONE             0x00
#define DISPLAY_ATTRIB_SCROLL           0x01
#define DISPLAY_ATTRIB_BLINK            0x02

#endif
